//***********/ LOGIN PAGE /*************//
const btnSubmit__login = document.querySelector(".submit__login");
btnSubmit__login.addEventListener("click",Fun_Submit_Login);
function Fun_Submit_Login(){
    let check_Pass = check_loginPrm();
    if(check_Pass == true){
        const phoneNmbr = document.getElementById("form-user__phone-number").value;
        const pinCode   = document.getElementById("form-user__password").value;
    
        setPrm("home", phoneNmbr, pinCode);
        window.location.replace("home.html");
    }
}

function check_loginPrm(){
    const inputNum  = document.querySelector("#form-user__phone-number").value;
    const inputPass = document.querySelector("#form-user__password").value;
    const errorPass = document.querySelector(".error-pass");
    
    if(inputNum.length < 11){    
        errorPass.textContent = "شماره تلفن وارد شده اشتباه است";
        errorPass.style.opacity="1";
        return false;
    }
    else if(inputPass.length < 4){
        errorPass.textContent = "طول پسورد باید 4 رقم باشد";   
        errorPass.style.opacity="1";
        return false;
    }else{
        errorPass.style.opacity="0";
        return true;
    }
}

//>> Local Storage Functions ----------------------------------------------------------------------------------------
function setPrm(state, phoneNmbr, pin)
{
    let prm = 
    {
        state: "",
        phone: "",
        pin:   "",
    }

    prm.state = state;
    prm.phone = phoneNmbr;
    prm.pin   = pin;
    localStorage.setItem('prm', JSON.stringify(prm));
}
function getPrm ()
{
    let tmpPrm = JSON.parse(localStorage.getItem('prm'));
    if(tmpPrm == null)
    {
        setPrm("login", "+98", "----");
        tmpPrm = JSON.parse(localStorage.getItem('prm'));
    }

    return tmpPrm;
}